---

- name: Configure netrc profiles
  blockinfile:
    path: "{{ ansible_env.HOME }}/{{ '_netrc' if ansible_os_family == 'Windows' else '.netrc' }}"
    block: |
      machine {{ item.machine }}
        login {{ item.user }}@{{ item.machine }}
        password {{ item.pw }}
    marker: "# {mark} ANSIBLE MANAGED BLOCK FOR GO NETRC FOR {{ item.id }}"
    state: present
    mode: 0600
  loop: "{{ netrc_profiles }}"
  tags:
    - netrc
